import * as React from 'react';
import { IPanelProps } from './Panel.Props';
import './Panel.scss';
export interface IPanelState {
    isOpen?: boolean;
    isAnimatingOpen?: boolean;
    isAnimatingClose?: boolean;
}
export declare class Panel extends React.Component<IPanelProps, IPanelState> {
    static defaultProps: IPanelProps;
    private _events;
    constructor(props: IPanelProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(newProps: IPanelProps): void;
    render(): JSX.Element;
    dismiss(): void;
    private _onPanelClick();
    private _onPanelRef(ref);
    private _onAnimationEnd(ev);
}
